Page MenuHomePhabricator

Implement basic Collections, visible only to the current user.
Closed, ResolvedPublic

Description

Summary / Rationale

This will implement the fundamental functionality in the Android app to create and manage "collections". The current notion of "saved pages" will merge with the more general notion of collections. Roughly speaking, as the user browses articles, he/she will have options to add the article to a new or existing collection. The user will also have a new navigation item of "Collections," where all of the user's collections would be listed and be managed. All of the user's collections would be linked with their Wikipedia account, meaning that the collections will be accessible from any device where the user logs in.

Goal Visibility

Reading internal goal

Success Metrics

Still being finalized, but the metrics will be based on engagement with the Saved Pages feature

External Dependencies

This depends on either the existing Gather API or an entirely new API that needs to be created.

Unknowns

What should be the app's behavior when the user wants to create a collection without having logged in with their Wikipedia account?
What kind of onboarding should we have for this feature?

Product Plan

Prototyping

See dependent tasks.

MVP

See mockups in dependent tasks.

Metrics Implementation

We are already instrumenting saved pages, so we will be able to measure the impact of this feature on the usage of saved pages.

Timeline Estimate

List estimates below. These do not have to be exact. These are just used to validate proposed timelines and ship dates.

TaskEstimate
Prototyping1 week
User Testing2 weeks
Mockups2 weeks
Development2 weeks
Beta Testing1 week
  1. Delivery Estimate

Event Timeline

Dbrant created this task.Dec 2 2015, 4:48 PM
Dbrant raised the priority of this task from to Needs Triage.
Dbrant updated the task description. (Show Details)
Dbrant moved this task to Q3 Android on the Mobile-App-Goals board.
Dbrant added a subscriber: Dbrant.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 2 2015, 4:48 PM
MBinder_WMF triaged this task as Medium priority.Jan 15 2016, 8:13 PM
MBinder_WMF set Security to None.
Dbrant renamed this task from Implement basic Gather collections, visible only to the current user. to Implement basic Collections, visible only to the current user..Feb 11 2016, 4:01 PM
Dbrant updated the task description. (Show Details)
dr0ptp4kt added a subscriber: dr0ptp4kt.

@Dbrant okay to mark resolved? If not, I'll just remove the Reading-Admin tag.

Dbrant closed this task as Resolved.May 5 2017, 6:14 PM
Dbrant claimed this task.